import { point, position, range } from "./util.mjs";
function stringifyPosition(info, options) {
  let serialized = "";
  if (typeof info === "object" && info) {
    const state = { offsets: options?.offsets ?? false };
    if (Array.isArray(info)) serialized = range(info, state);
    if ("position" in info || "type" in info) {
      serialized = position(info.position, state);
    }
    if ("end" in info || "start" in info) {
      serialized = position(info, state);
    }
    if ("column" in info || "line" in info) serialized = point(info);
  }
  return serialized;
}
var stringify_position_default = stringifyPosition;
export {
  stringify_position_default as default
};
