/**
 * @file Type Aliases - NodeLike
 * @module unist-util-stringify-position/types/NodeLike
 */
import type { Type } from '@flex-development/unist-util-types';
import type { Data } from 'unist';
import type PositionLike from './position-like.mjs';
/**
 * Abstract unist node.
 *
 * The syntactic unit in unist syntax trees are called nodes.
 */
type NodeLike = {
    /**
     * Info from the ecosystem.
     *
     * @see {@linkcode Data}
     */
    data?: Data | null | undefined;
    /**
     * Position of a node in a source document.
     *
     * Nodes that are generated (not in the original source document) must not
     * have a position.
     *
     * @see {@linkcode PositionLike}
     */
    position?: PositionLike | null | undefined;
    /**
     * Node type.
     *
     * @see {@linkcode Type}
     */
    type: Type;
};
export type { NodeLike as default };
