/**
 * @file util
 * @module unist-util-stringify-position/util
 */
import type { PointLike, PositionLike, Range } from './types/index.mjs';
import type State from './types/state.mjs';
/**
 * Serialize a point.
 *
 * @internal
 *
 * @param {PointLike | null | undefined} point - Point to serialize
 * @return {string} Pretty printed `point`
 */
declare function point(point: PointLike | null | undefined): string;
/**
 * Serialize a position.
 *
 * @internal
 *
 * @param {PositionLike | null | undefined} pos - Position to serialize
 * @param {State} state - Info passed around
 * @return {string} Pretty printed `position`
 */
declare function position(pos: PositionLike | null | undefined, state: State): string;
/**
 * Serialize a range.
 *
 * @internal
 *
 * @param {Range | null | undefined} range - Range to serialize
 * @param {State} state - Info passed around
 * @return {string} Pretty printed `range`
 */
declare function range(range: Range | null | undefined, state: State): string;
export { point, position, range };
